import request from '@/utils/request'

// 查询40S设备规格参数列表
export function listSpec40s(query) {
  return request({
    url: '/system/spec40s/list',
    method: 'get',
    params: query
  })
}

// 查询40S设备规格参数详细
export function getSpec40s(id) {
  return request({
    url: '/system/spec40s/' + id,
    method: 'get'
  })
}

// 新增40S设备规格参数
export function addSpec40s(data) {
  return request({
    url: '/system/spec40s',
    method: 'post',
    data: data
  })
}

// 修改40S设备规格参数
export function updateSpec40s(data) {
  return request({
    url: '/system/spec40s',
    method: 'put',
    data: data
  })
}

// 删除40S设备规格参数
export function delSpec40s(id) {
  return request({
    url: '/system/spec40s/' + id,
    method: 'delete'
  })
}
